{
  "parent": "minecraft:adventure/trim_with_any_armor_pattern",
  "criteria": {
    "armor_trimmed_minecraft:rib_armor_trim_smithing_template_smithing_trim": {
      "trigger": "minecraft:impossible",
      "conditions": {}
    },
    "armor_trimmed_minecraft:silence_armor_trim_smithing_template_smithing_trim": {
      "trigger": "minecraft:impossible",
      "conditions": {}
    },
    "armor_trimmed_minecraft:snout_armor_trim_smithing_template_smithing_trim": {
      "trigger": "minecraft:impossible",
      "conditions": {}
    },
    "armor_trimmed_minecraft:spire_armor_trim_smithing_template_smithing_trim": {
      "trigger": "minecraft:impossible",
      "conditions": {}
    },
    "armor_trimmed_minecraft:tide_armor_trim_smithing_template_smithing_trim": {
      "trigger": "minecraft:impossible",
      "conditions": {}
    },
    "armor_trimmed_minecraft:vex_armor_trim_smithing_template_smithing_trim": {
      "trigger": "minecraft:impossible",
      "conditions": {}
    },
    "armor_trimmed_minecraft:ward_armor_trim_smithing_template_smithing_trim": {
      "trigger": "minecraft:impossible",
      "conditions": {}
    },
    "armor_trimmed_minecraft:wayfinder_armor_trim_smithing_template_smithing_trim": {
      "trigger": "minecraft:impossible",
      "conditions": {}
    }
  },
  "display": {
    "description": {
      "translate": "advancements.adventure.trim_with_all_exclusive_armor_patterns.description"
    },
    "frame": "challenge",
    "icon": {
      "count": 1,
      "id": "minecraft:silence_armor_trim_smithing_template"
    },
    "title": {
      "translate": "advancements.adventure.trim_with_all_exclusive_armor_patterns.title"
    }
  },
  "requirements": [
    [
      "armor_trimmed_minecraft:rib_armor_trim_smithing_template_smithing_trim"
    ],
    [
      "armor_trimmed_minecraft:silence_armor_trim_smithing_template_smithing_trim"
    ],
    [
      "armor_trimmed_minecraft:snout_armor_trim_smithing_template_smithing_trim"
    ],
    [
      "armor_trimmed_minecraft:spire_armor_trim_smithing_template_smithing_trim"
    ],
    [
      "armor_trimmed_minecraft:tide_armor_trim_smithing_template_smithing_trim"
    ],
    [
      "armor_trimmed_minecraft:vex_armor_trim_smithing_template_smithing_trim"
    ],
    [
      "armor_trimmed_minecraft:ward_armor_trim_smithing_template_smithing_trim"
    ],
    [
      "armor_trimmed_minecraft:wayfinder_armor_trim_smithing_template_smithing_trim"
    ]
  ],
  "rewards": {
    "experience": 150
  },
  "sends_telemetry_event": true
}